pkgconfigdir=$(libdir)/pkgconfig
libincludedir=$(includedir)/libisofs

lib_LTLIBRARIES = libisofs/libisofs.la

## ========================================================================= ##

# Build libraries

libisofs_libisofs_la_LDFLAGS = \
	-version-info $(LT_CURRENT):$(LT_REVISION):$(LT_AGE)
libisofs_libisofs_la_SOURCES = \
	libisofs/tree.h \
	libisofs/tree.c \
	libisofs/volume.h \
	libisofs/volume.c \
	libisofs/util.h \
	libisofs/util.c \
	libisofs/ecma119.c \
	libisofs/ecma119.h \
	libisofs/ecma119_tree.c \
	libisofs/ecma119_tree.h \
	libisofs/susp.h \
	libisofs/susp.c \
	libisofs/rockridge.h \
	libisofs/rockridge.c \
	libisofs/joliet.c \
	libisofs/joliet.h \
	libisofs/exclude.c \
	libisofs/exclude.h \
	libisofs/hash.h \
	libisofs/hash.c  \
	libisofs/file.h \
	libisofs/file.c  \
	libisofs/file_src.h \
	libisofs/file_src.c  \
	libisofs/eltorito.h \
	libisofs/eltorito.c \
	libisofs/data_source.c \
	libisofs/ecma119_read.h \
	libisofs/ecma119_read.c \
	libisofs/ecma119_read_rr.h \
	libisofs/ecma119_read_rr.c \
	libisofs/libiso_msgs.h \
	libisofs/libiso_msgs.c \
	libisofs/messages.h \
	libisofs/messages.c

libinclude_HEADERS = \
	libisofs/libisofs.h

## ========================================================================= ##

## Build test applications
noinst_PROGRAMS = \
	test/iso \
	test/isoread \
	test/isoms \
	test/isoadd \
	test/isogrow

test_iso_CPPFLAGS = -Ilibisofs
test_iso_LDADD = $(libisofs_libisofs_la_OBJECTS) $(THREAD_LIBS)
test_iso_SOURCES = test/iso.c

test_isoread_CPPFLAGS = -Ilibisofs
test_isoread_LDADD = $(libisofs_libisofs_la_OBJECTS) $(THREAD_LIBS)
test_isoread_SOURCES = test/iso_read.c

test_isoms_CPPFLAGS = -Ilibisofs
test_isoms_LDADD = $(libisofs_libisofs_la_OBJECTS) $(THREAD_LIBS)
test_isoms_SOURCES = test/iso_ms.c

test_isoadd_CPPFLAGS = -Ilibisofs
test_isoadd_LDADD = $(libisofs_libisofs_la_OBJECTS) $(THREAD_LIBS)
test_isoadd_SOURCES = test/iso_add.c

test_isogrow_CPPFLAGS = -Ilibisofs -Ilibburn
test_isogrow_LDADD = $(libisofs_libisofs_la_OBJECTS) $(THREAD_LIBS) -lburn
test_isogrow_SOURCES = test/iso_grow.c

## Build unit test
 
check_PROGRAMS = \
	test/test
	
test_test_CPPFLAGS = -Ilibisofs
test_test_LDADD = $(libisofs_libisofs_la_OBJECTS) $(THREAD_LIBS) -lcunit
test_test_LDFLAGS = -L.. -lm
	
test_test_SOURCES = \
	test/test_exclude.c \
	test/test_tree.c \
	test/test_ecma119_tree.c \
	test/test_file_hashtable.c \
	test/test_util.c \
	test/test_volume.c \
	test/test_data_source.c \
	test/test_read.c \
	test/test.c

## ========================================================================= ##

## Build documentation (You need Doxygen for this to work)
webhost = http://libburn-api.pykix.org
webpath = /
docdir = $(DESTDIR)$(prefix)/share/doc/$(PACKAGE)-$(VERSION)

doc:	doc/html

doc/html: doc/doxygen.conf
	if [ -f ./doc/doc.lock ]; then \
		$(RM) -r doc/html; \
		doxygen doc/doxygen.conf; \
	fi

doc-upload: doc/html
	scp -r $</* $(webhost):$(webpath)

all: doc

install-data-local: 
	if [ -f ./doc/doc.lock ]; then \
		$(mkinstalldirs) $(docdir)/html; \
		$(INSTALL_DATA) doc/html/* $(docdir)/html; \
	fi

uninstall-local:
	rm -rf $(docdir)

## ========================================================================= ##

# Indent source files
indent_files = \
	$(libisofs_libisofs_la_SOURCES) \
	$(test_iso_SOURCES)
	

indent: $(indent_files)
	indent -bad -bap -nbbb -nbbo -nbc -bli0 -br -bls   \
		-cdw -ce -cli0 -ncs -nbfda -i8 -l79 -lc79   \
		-lp -saf -sai -nprs -npsl -saw -sob -ss -ut \
		-sbi0 -nsc -ts8 -npcs -ncdb -fca            \
		$^

.PHONY: indent

## ========================================================================= ##

# Extra things
nodist_pkgconfig_DATA = \
	libisofs-5.pc

EXTRA_DIST = \
	libisofs-5.pc.in \
	version.h.in \
	doc/comments \
	doc/doxygen.conf.in \
	README \
	AUTHORS \
	CONTRIBUTORS \
	COPYRIGHT \
	COPYING \
        NEWS \
        INSTALL \
        ChangeLog

